/*----------------------------------------------------------------------------
/	LOGIC PACK H8p`
/	Copyright (C)2004 LogicPack
/---------------------------------------------------------------------------*/
#ifndef __LP_H_
#define __LP_H_

#define TRUE			1
#define FALSE			0

typedef char			bool;
typedef unsigned char	byte;
typedef unsigned int	word;
typedef unsigned long	dword;

typedef union {
	word	data;
	struct{
		byte hi;
		byte lo;
	} bytes;
}word_t;				/* Bigendian */

typedef union{
	dword data;
	struct{
		word_t hi;
		word_t lo;
	}words;
}dword_t;				/* Bigenddian */

#endif

